tcltest::test 15.26.1-runtime-1 { Sun bug 4368664: with multi-dimensioned
        local variables initialized to null, the verifier needs to know that
        an array assignment is still legal } {runtime} {
    compile_and_run [saveas T15261r1.java {
class T15261r1 {
    public static void main(String[] args) {
	try {
	    // prior to JDK 1.5, the compiler must insert a checkcast when
	    // assigning null to an array type
	    int[][] i = null;
	    i[0] = new int[0];
	} catch (NullPointerException e) {
	    System.out.print('O');
	}
	try {
	    int[][] i;
	    i = null;
	    i[0] = new int[0];
	} catch (NullPointerException e) {
	    System.out.print('K');
	}
    }
}
    }]
} OK
